﻿<%@ Page Language="C#" AutoEventWireup="true" CodeBehind="Default.aspx.cs" Inherits="Mvcb2b.Install.Default" %>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
    <title>53BK数字报安装</title>
    <link href="css/install.css" rel="stylesheet" type="text/css" />
    <link href="css/theme.css" rel="stylesheet" type="text/css" />
    <script src="<%=Fun.Webdirectory %>Comja/jquery-1.12.4.min.js" type="text/javascript"></script>
    <script type="text/javascript" src="<%=Fun.Webdirectory %>Comja/md5.js"></script>  
    <script type="text/javascript">
        function disabledbutton() {
            //  document.getElementById("next").setAttribute("disabled", "disabled");readonly="readonly" 
         //   document.getElementById("next").setAttribute("readonly", "readonly");
        }
        function passmd5() {
            var pass1 = $('#Password1').val();
            pass1 = hex_md5(pass1);
            $('#Password1').val(pass1);
            var pass2 = $('#Password2').val();
            pass2 = hex_md5(pass2);
            $('#Password2').val(pass2);
        }
</script>
</head>
<body>
    <form id="form1" runat="server">
       <table class="content" width="100%" cellspacing="1" cellpadding="0">
            <tr>
                <td class="header1">53BK数字报刊安装</td>
            </tr>
            <tr>
                <td class="post">
                    <table cellspacing="1" cellpadding="0" width="100%" runat="server" id="stepWelcome">
                        <tr>
                            <td class="header2" colspan="2">
                                欢迎使用53BK数字报刊发布平台</td>
                        </tr>
                        <tr>
                            <td colspan="2">
                                <p>
                                    安装过程将引导您完成数字报刊平台的安装.
                                </p>
                                <p>
                                    安装前请安装好MSsql Server数据库.
                                    您可以用已存在数据库或者新建一个数据库。</p>
                                <p>
                                    开始安装，请点击下一步.
                                </p>
                            </td>
                        </tr>
                    </table>

                   <table cellspacing="1" cellpadding="0" width="100%"   runat="server" visible="false"  id="stepConfig">
                        <tr>
                            <td class="header2" colspan="2">
                                步骤 1 of 5: 配置安装文件</td>
                        </tr>
                        <tr>
                            <td colspan="2">
                                <p>
                                    这一步将检查 Web.config 文件. 默认，E-Edition Web.config 文件可由 Default.config 更改.如果你是第一次安装，您必须命名 "<%=Server.MapPath("../Default.config")%>" to "<%=Server.MapPath("../Web.config")%>". </p>

                               <asp:PlaceHolder runat="server" ID="ConfigSample"  Visible="False">
                                    <p>
                                        53bknet.config 文件示例 (for NET v4.0):
                                   </p>
                                    <pre>&lt;appSettings&gt;<br />  &lt;add key=&quot;Savedata&quot; value=&quot;Up&quot; /&gt;<br />  &lt;add key=&quot;Encrypt_Pass&quot; value=&quot;yourpass&quot; /&gt;<br />  &lt;add key=&quot;ConnectionString&quot; value=&quot;Data Source=(local);InitialCatalog=53bkedition;User ID=53bk;Password=53bk.com&quot; /&gt;<br/>&lt;/appSettings&gt;</pre>
                                </asp:PlaceHolder>

                                <p><br />
                                    点击下一步检查配置.                                    
                                </p>
                            </td>
                        </tr>
                    </table>

                     <table cellspacing="1" cellpadding="0" width="100%" runat="server" visible="false"  id="stepConnect">
                        <tr>
                            <td class="header2" colspan="2"> 步骤 2 of 5: 连接到数据库</td>
                        </tr>
                        <tr>
                            <td colspan="2">
                                <p>
                                    请人为确认连接字符串在 "<%=Server.MapPath("../Config/53bknet.config")%>" 是否正确.
                                </p>
                                <p>
                                    当你输入连接字符串,点击下一步继续完成安装.
                                </p>
                            </td>
                        </tr>
                    </table>
                    <table cellspacing="1" cellpadding="0" width="100%" runat="server" visible="false" id="stepDatabase">
                        <tr>
                            <td class="header2">
                                步骤 3 of 5: 初始化数据</td>
                        </tr>
                        <tr>
                            <td>
                                <p>
                                    你的数据初始化已经开始. 程序正在创建表和存储过程.如果你是更新一个版本，你的数据也同时更新一个新版本. 
                                </p>
                                <p>点击下一步开始安装或更新数据库.
                                </p>
                            </td>
                        </tr>
                    </table>


                    <table width="100%" cellspacing="1" cellpadding="0" runat="server" visible="false"  id="stepForum">
                        <tr>
                            <td colspan="2" class="header2"> 步骤 4 of 5: 创建网站信息 &nbsp;<span style="font-weight:normal;">(此步初始化网站信息数据, 可能时间较长) </span></td>
                        </tr>
                        <tr>
                            <td class="postheader" style="width:30%;">
                                <b>网站名称:</b><br />
                                <b>这里网站名称跟产品系列号中报刊名称已绑定, 不能更改.</b>.</td>
                            <td class="post"><asp:TextBox ID="BkName" ReadOnly="true" runat="server"></asp:TextBox> 
                            </td>
                        </tr>
                        <tr>
                            <td class="postheader">
                                <b>网站域名:</b><br />
                                这里输入你网站所用的域名.</td>
                            <td class="post"> <asp:TextBox ID="Bkdomain" runat="server"></asp:TextBox>
                            </td>
                        </tr>
                         <tr>
                            <td class="postheader">
                                <b>管理员:</b><br />
                                管理员的用户名.</td>
                            <td class="post">
                                <asp:TextBox ID="UserName" runat="server"></asp:TextBox>
                            </td>
                        </tr>
                        <tr>
                            <td class="postheader">
                                <b>管理员 密码:</b><br />
                                The password of the admin user.</td>
                            <td class="post"><asp:TextBox ID="Password1" runat="server" TextMode="Password"></asp:TextBox>
                            </td>
                        </tr>                       
                        <tr>
                            <td class="postheader">
                                <b>再次输入密码:</b><br />
                                Verify the password.</td>
                            <td class="post">
                                <asp:TextBox ID="Password2" runat="server" TextMode="Password"></asp:TextBox>
                            </td>
                        </tr>
                    </table>
                  <table cellspacing="1" cellpadding="0" width="100%" runat="server" visible="false"  id="stepFinished">
                        <tr>
                            <td class="header2"> 完成</td>
                        </tr>
                        <tr>
                            <td>
                                <p>您的数字报刊平台已安装完成，请进入后台完成网站信息的配置. </p>
                            </td>
                        </tr>
                    </table>
                </td>
            </tr>
            <tr>
                <td class="footer1" align="center">
                    <asp:Button ID="back" Text="上一步" runat="server" Enabled="false"></asp:Button>
                    <asp:Button ID="next" Text="下一步" runat="server" ></asp:Button>
                    <asp:Button ID="finish" Text="完成" runat="server" Enabled="false"></asp:Button>


                    <asp:Label ID="cursteplabel" runat="server" Visible="false"></asp:Label>                    
                </td>
            </tr>
        </table>
    </form>
</body>
</html>
